Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class StackMap

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.StackMap

All Implemented Interfaces:
  Serializable, Cloneable

    public final class StackMap

extends Attribute

This class represents a stack map attribute used for preverification of Java classes for the Java 2 Micro Edition (J2ME). This attribute is used by the KVM and contained within the Code attribute of a method. See CLDC specification §5.3.1.2

Version:
  $Id: StackMap.java 1181133 2011-10-10 18:49:14Z markt $
Author:
  M. Dahm
See Also:
  `Code`, `StackMapEntry`, `StackMapType`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`StackMap(int name_index, int length, StackMapEntry[] map, ConstantPool constant_pool)`

Method Summary
`Attribute` | `copy(ConstantPool _constant_pool)`
`void` | `dump(DataOutputStream file)` Dump line number table attribute to file stream in binary format.
`void` | `setStackMap(StackMapEntry[] map)`
`String` | `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackMap

    public StackMap(int name_index,
                    int length,
                    StackMapEntry[] map,
                    ConstantPool constant_pool)

Method Detail

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump line number table attribute to file stream in binary format.

  Overrides:
    `dump` in class `Attribute`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### setStackMap

    public final void setStackMap(StackMapEntry[] map)

  Parameters:
    `map` - Array of stack map entries

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation.

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.